#include <stdio.h>
int main () 
{
 int m,n,x;
 int i,j;
 int sum=0;
 int mojbroj=0;
 int brojp=0;
 scanf("%d",&n);
 scanf("%d",&m);

 x=2*m;
 int A[n];
 int B[x];


 for(i=0;i<n;i++)
 {
   scanf("%d",&A[i]);
 }
 for(j=0;j<x;j++)
 {
   scanf("%d",&B[j]);
 }

 for(i=0;i<n;i++)
 {
   mojbroj=i+1;

    for(j=0;j<x;j++)
    {
     if(B[j]==mojbroj)
     {
      brojp++;
      sum=sum+A[i];
     }
    }
  }
 printf("%d",sum);

 return 0;
}